package com.xinelu.common.enums;

import lombok.Getter;

/**
 * 问卷题目选项类型
 */
@Getter
public enum QuestionSubjectTypeEnum {

    /**
     * 单选题
     */
    MULTIPLE_CHOICE("MULTIPLE_CHOICE"),

    /**
     * 多选题
     */
    MULTIPLE_CHOICE_QUESTIONS("MULTIPLE_CHOICE_QUESTIONS"),

    /**
     * 填空题
     */
    FILL_IN_THE_BLANKS("FILL_IN_THE_BLANKS"),

    /**
     * 反馈填空题
     */
    FEEDBACK_BLANKS_SUBJECT("FEEDBACK_BLANKS_SUBJECT"),
    ;

    final private String info;

    QuestionSubjectTypeEnum(String info) {
        this.info = info;
    }
}
